
minetest.register_entity(":display", {
    initial_properties = {
        pointable = false,
        static_save = false
    },
    on_activate = function(e)
        e.object:set_armor_groups{immortal = 1}
    end
})



minetest.register_entity(":test", {
    initial_properties = {
        visual = "sprite",
        textures = {"blank.png"},
        use_texture_alpha = true,
        static_save = false
    },
    on_rightclick = function(e, p)
        artifact.players[p:get_player_name()].interacting_with = e
    end,
    on_hover = function() say "!" end,
    on_interact = function(e, m)
        
    end
})

include "basics.lua"
